ANTLRWorks 2 - plugin detail

ANTLRWorks 2 is provides IDE support for ANTLR (versions 3 and 4), as well as the StringTemplate 4 template language.

NetBeans Plugin - ANTLRWorks 2
Plugin owner: 280Z28
Website: http://tunnelvisionlabs.com/products/antlrworks
Added: 2014-03-18
License: LGPL
Category: Programming Languages
Downloaded: 7,044 times
Rating:
 4.19, by 3 users

Plugin Log Show log

Versions available

Download plugin   Download size: 2.68 MB   Last Update: 2016-09-07

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

ANTLRWorks 2.5.3 includes ANTLR 4.5.3 (Preview), ANTLR 3.5.2, and StringTemplate 4.0.8.

  • This version only works with NetBeans 8.1 (no additional platform updates and/or patches).

ANTLRWorks 2.4.1 includes ANTLR 4.4.1 (Preview), ANTLR 3.5.2, and StringTemplate 4.0.8.

  • This version only works with NetBeans 8.0.1 (no additional platform updates and/or patches).

ANTLRWorks 2.2.2 includes ANTLR 4.2.2, ANTLR 3.5.2, and StringTemplate 4.0.8.

ANTLRWorks 2.2.1 includes ANTLR 4.2.1, ANTLR 3.5.2, and StringTemplate 4.0.8.

ANTLRWorks 2.2 includes the following updates compared to version 2.1:

  • Built against ANTLR 4.2
  • Exclusively distributed as a plugin for NetBeans (instead of a standalone application)
  • All-new parser debugger


Verifications for NetBeans versions

8.1 verification PASSED See verification details
Download plugin   Download size: 2.64 MB   Last Update: 2014-10-01

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

ANTLRWorks 2.4.1 includes ANTLR 4.4.1 (Preview), ANTLR 3.5.2, and StringTemplate 4.0.8.

  • This version only works with NetBeans 8.0.1 (no additional platform updates and/or patches).

ANTLRWorks 2.2.2 includes ANTLR 4.2.2, ANTLR 3.5.2, and StringTemplate 4.0.8.

ANTLRWorks 2.2.1 includes ANTLR 4.2.1, ANTLR 3.5.2, and StringTemplate 4.0.8.

ANTLRWorks 2.2 includes the following updates compared to version 2.1:

  • Built against ANTLR 4.2
  • Exclusively distributed as a plugin for NetBeans (instead of a standalone application)
  • All-new parser debugger


Verifications for NetBeans versions

8.0 verification PASSED See verification details
Download plugin   Download size: 2.49 MB   Last Update: 2014-04-08

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

ANTLRWorks 2.2.2 includes ANTLR 4.2.2, ANTLR 3.5.2, and StringTemplate 4.0.8.

ANTLRWorks 2.2.1 includes ANTLR 4.2.1, ANTLR 3.5.2, and StringTemplate 4.0.8.

ANTLRWorks 2.2 includes the following updates compared to version 2.1:

  • Built against ANTLR 4.2
  • Exclusively distributed as a plugin for NetBeans (instead of a standalone application)
  • All-new parser debugger


Verifications for NetBeans versions

7.4 verification PASSED See verification details


Introduction

ANTLRWorks 2 is provides IDE support for ANTLR (versions 3 and 4), as well as the StringTemplate 4 template language.

[ You have to be logged in to be able to comment. ]

User Comments

  

Great plugin

Waiting for version for NB 8.2
Posted by tomaszk on Mar 14, 2017
  

I have same issue with 8.0

Not sure if this is fixed in recent versions.
Posted by kmranganathan on Jan 26, 2016
  

I have the same issue

Any ideas when will this be fixed?? :)
Posted by dejlek on Apr 08, 2015
  

Same issue here on NB 8.0.2, "plugin Editor Settings Storage required"

Same issue here on NB 8.0.2, "plugin Editor Settings Storage required". Is this issue being worked on?
Posted by antonioye on Mar 12, 2015
  

Broken with Netbeans 8.0.2

I am also experiencing difficulty with installing this plugin on Netbeans 8.0.2 due to dependency requirements. Any plans to update in 2014?
Posted by goofdup on Dec 09, 2014
  

update for 8.0.2

Hope update for NetBeans 8.0.2.
Posted by ntanaka on Dec 02, 2014
  

Working again

Thanks for making this plug-in. It is really good.
Posted by leagurb on Oct 01, 2014
  

Broken in 8.0.1

Like previously said for NB 8.0 Patch 1, this plugin can't be installed in 8.0.1 either.

In 8.0.1 I get an error about two requirements that can't be fulfilled when I try to install the plugin "ANTLRWorks Editor": "Editor Settings Storage" and "Editor Options".
Posted by netrunner on Sep 18, 2014
  

verified not working

NB8. It depends on editor options plugin, but cannot find the plugin.

why verify it if it's not even installable?
Posted by rdonasco3 on Jul 10, 2014
  

Broken

Cannot install due to dependency on non existent Editor Options plugin.
Posted by j.mcguinness on Jun 05, 2014
  

Does not work with current patch

ANTLRWorks plugin does not work with patch 1.1. Needs fix.
Posted by ntanaka on May 21, 2014
  

Current Version broken

Hi,

the current version of the plugin for Netbeans 8.0 does no work with patch 1 of netbeans. Hope you can fix it.

Daniel
Posted by dbiehl on May 13, 2014
  

Broken

Hi. Current version of the plugin can't be installed due to a dependency issue with 'Editor Options' plugin. Please help :/
Posted by juniel_katarn on May 13, 2014
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo